> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credential details



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/credentials/{credential_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/credentials/{credential_id}:
    get:
      tags:
        - Credentials API
      summary: Get credential details
      operationId: get_credential_endpoint_api_v1_org_credentials__credential_id__get
      parameters:
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid4
            title: Credential Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/GetPlatformCredentialResult'
                  - $ref: '#/components/schemas/GetCredentialResult'
                title: >-
                  Response Get Credential Endpoint Api V1 Org Credentials 
                  Credential Id  Get
          description: Credential retrieved successfully
        '401':
          description: Unauthorized
        '404':
          description: Credential not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetPlatformCredentialResult:
      properties:
        access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Key
        access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Key Id
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        api_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Api Url
        application_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Key
        application_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Secret
        available:
          default: true
          title: Available
          type: boolean
        clusters:
          default: []
          items: {}
          title: Clusters
          type: array
        consumer_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Consumer Key
        created_at:
          title: Created At
          type: string
        gitlab_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitlab Url
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        operations:
          default: []
          items: {}
          title: Operations
          type: array
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        provider:
          title: Provider
          type: string
        role_arn:
          anyOf:
            - type: string
            - type: 'null'
          title: Role Arn
        secret_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Access Key
        ssh_public_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Ssh Public Key
        system:
          default: false
          title: System
          type: boolean
        tls_insecure:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Tls Insecure
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
        token_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Token Id
        updated_at:
          title: Updated At
          type: string
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      required:
        - id
        - name
        - provider
        - organisation_id
        - created_at
        - updated_at
      title: GetPlatformCredentialResult
      type: object
    GetCredentialResult:
      properties:
        access_key_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Key Id
        access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Access Token
        available:
          title: Available
          type: boolean
        clusters:
          items:
            $ref: '#/components/schemas/GetCredentialClusterInfoResult'
          title: Clusters
          type: array
        created_at:
          format: date-time
          title: Created At
          type: string
        gitlab_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Gitlab Url
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        operations:
          items:
            $ref: '#/components/schemas/GetCredentialOperationInfoResult'
          title: Operations
          type: array
        organisation_id:
          format: uuid
          title: Organisation Id
          type: string
        project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Id
        provider:
          title: Provider
          type: string
        role_arn:
          anyOf:
            - type: string
            - type: 'null'
          title: Role Arn
        secret_access_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Secret Access Key
        system:
          title: System
          type: boolean
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
        updated_at:
          format: date-time
          title: Updated At
          type: string
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
      required:
        - id
        - name
        - provider
        - organisation_id
        - system
        - available
        - clusters
        - operations
        - created_at
        - updated_at
      title: GetCredentialResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GetCredentialClusterInfoResult:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        kind:
          $ref: '#/components/schemas/ClusterKind'
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - kind
        - created_at
      title: GetCredentialClusterInfoResult
      type: object
    GetCredentialOperationInfoResult:
      properties:
        cluster_id:
          format: uuid
          title: Cluster Id
          type: string
        cluster_kind:
          $ref: '#/components/schemas/ClusterKind'
        cluster_name:
          title: Cluster Name
          type: string
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
        status:
          title: Status
          type: string
      required:
        - id
        - name
        - status
        - cluster_kind
        - cluster_id
        - cluster_name
      title: GetCredentialOperationInfoResult
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ClusterKind:
      enum:
        - imported
        - managed
        - ankra
        - sandbox
        - hetzner
        - ovh
        - upcloud
        - digitalocean
        - doks
        - uks
      title: ClusterKind
      type: string

````